#include "defines.hpp"

_ok = createDialog "DlgFaces";
if (!_ok) exitWith {hint "Dialog error"};

ctrlSetFocus (findDisplay 100 displayCtrl ListIdF);

_cam = "camera" camcreate [0, 0, 0];
_cam cameraeffect ["internal", "back"];
_poss = getPos soldier;
_dir  = getDir soldier;
_dist = 0.4;
_posc = [(_poss select 0)+sin(_dir)+_dist, (_poss select 1)+cos(_dir)+_dist, 1.6];
_cam camSetPos _posc;
soldier doWatch _posc;
_cam camSetTarget soldier;
_cam camSetFov .7;
_cam camSetFocus [_dist,0];
_cam camCommit 0;

for "_i" from 1 to 100 do {
	_face = format["Face%1", _i];
	_index = lbAdd [ListIdF, _face];
};

while {ctrlVisible ListIdF} do {
	_indexold = lbCurSel ListIdF;
	waitUntil {(_indexold != lbCurSel ListIdF) || !ctrlVisible ListIdF};
	_index = lbCurSel ListIdF;
	_text = lbText [ListIdF, _index];
	ctrlSetText [CaptIdF, _text];
	soldier setFace _text;
	sleep .1;
};

_cam cameraeffect ["terminate", "back"];
camDestroy _cam;
